<?php
include_once '../config/header.php';
include_once '../config/helper.php';
include_once '../config/database.php';
include_once '../objects/vecinos.php';
include_once '../token/validatetoken.php';

$database = new Database();
$db = $database->getConnection();

$vecinos = new Vecinos($db);

$vecinos->id = isset($_GET['id']) ? $_GET['id'] : die();
$vecinos->readOne();
 
if($vecinos->id!=null){
    $vecinos_arr = array(
        
"id" => $vecinos->id,
"nombre" => html_entity_decode($vecinos->nombre),
"apellido" => html_entity_decode($vecinos->apellido),
"edad" => $vecinos->edad,
"fecha_nacimiento" => html_entity_decode($vecinos->fecha_nacimiento),
"rut" => $vecinos->rut,
"profesion" => html_entity_decode($vecinos->profesion),
"direccion" => html_entity_decode($vecinos->direccion),
"telefono" => html_entity_decode($vecinos->telefono),
"email" => html_entity_decode($vecinos->email),
"vigilante" => $vecinos->vigilante,
"foto" => html_entity_decode($vecinos->foto),
"clave_app" => html_entity_decode($vecinos->clave_app),
"token" => html_entity_decode($vecinos->token),
"anexo1_nombre" => html_entity_decode($vecinos->anexo1_nombre),
"anexo1_telefono" => $vecinos->anexo1_telefono,
"anexo2_nombre" => html_entity_decode($vecinos->anexo2_nombre),
"anexo2_telefono" => $vecinos->anexo2_telefono,
"anexo3_nombre" => html_entity_decode($vecinos->anexo3_nombre),
"anexo3_telefono" => $vecinos->anexo3_telefono,
"activo" => $vecinos->activo
    );
    http_response_code(200);
   echo json_encode(array("status" => "success", "code" => 1,"message"=> "vecinos found","document"=> $vecinos_arr));
}
else{
    http_response_code(404);
	echo json_encode(array("status" => "error", "code" => 0,"message"=> "vecinos does not exist.","document"=> ""));
}
?>
